Merge branch 'master' of gnunet.org:gnunet
[oweals/gnunet.git] / src / gns / test_gns_txt_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
18 TEST_TXT="GNS powered txt record data"
19 MY_EGO="myego"
20 LABEL="testtxt"
21 gnunet-arm -s -c test_gns_lookup.conf
22 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
23 gnunet-namestore -p -z $MY_EGO -a -n $LABEL -t TXT -V "$TEST_TXT" -e never -c test_gns_lookup.conf
24 RES_TXT=`$DO_TIMEOUT gnunet-gns --raw -u $LABEL.$MY_EGO -t TXT -c test_gns_lookup.conf`
25 gnunet-namestore -z $MY_EGO -d -n $LABEL -t TXT -V "$TEST_TXT" -e never -c test_gns_lookup.conf
26 gnunet-identity -D $MY_EGO -c test_gns_lookup.conf
27 gnunet-arm -e -c test_gns_lookup.conf
28 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
29
30 if [ "$RES_TXT" == "$TEST_TXT" ]
31 then
32   exit 0
33 else
34   echo "Failed to resolve to proper TXT, got '$RES_TXT'."
35   exit 1
36 fi